Loading...
Searching...
No Matches
Halide::Internal::CodeGen_LLVM::Intrinsic Struct Reference

Description of an intrinsic function overload. More...

`#include <CodeGen_LLVM.h>`

## Public Member Functions

| Intrinsic (Type result_type, std::vector< Type > arg_types, llvm::Function *impl)

## Public Attributes

Type | result_type
std::vector< Type > | arg_types
llvm::Function * | impl

## Detailed Description

Description of an intrinsic function overload.

Overloads are resolved using both argument and return types. The scalar types of the arguments and return type must match exactly for an overload resolution to succeed.

Definition at line 466 of file CodeGen_LLVM.h.

## Constructor & Destructor Documentation

## Intrinsic()

Halide::Internal::CodeGen_LLVM::Intrinsic::Intrinsic | ( | Type | result_type,
|  | std::vector< Type > | arg_types,
|  | llvm::Function * | impl )

inline

Definition at line 471 of file CodeGen_LLVM.h.

References arg_types, impl, and result_type.

## Member Data Documentation

## result_type

Type Halide::Internal::CodeGen_LLVM::Intrinsic::result_type

Definition at line 467 of file CodeGen_LLVM.h.

Referenced by Intrinsic().

## arg_types

std::vector<Type> Halide::Internal::CodeGen_LLVM::Intrinsic::arg_types

Definition at line 468 of file CodeGen_LLVM.h.

Referenced by Intrinsic().

## impl

llvm::Function* Halide::Internal::CodeGen_LLVM::Intrinsic::impl

Definition at line 469 of file CodeGen_LLVM.h.

Referenced by Intrinsic().

The documentation for this struct was generated from the following file:

- src/CodeGen_LLVM.h